Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawSib_ Struct Reference

Detailed info about the SIB byte. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | scale
| The scale factor.
ZyanU8 | index
| The index-register specifier.
ZyanU8 | base
| The base-register specifier.
ZyanU8 | offset
| The offset of the SIB byte, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about the SIB byte.

## Field Documentation

## ◆ base

ZyanU8 base

The base-register specifier.

## ◆ index

ZyanU8 index

The index-register specifier.

## ◆ offset

ZyanU8 offset

The offset of the SIB byte, relative to the beginning of the instruction, in bytes.

## ◆ scale

ZyanU8 scale

The scale factor.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h